@ECHO OFF
:: description: Determines if Java is installed on this system, and
::   if so  - starts an application
::   if not - tells user to get Java 
:: requirement: This file must run from the apps home directory because the classpath uses relative addressing

REM **- User Modified Settings : START -**
REM - If you need to modify the path to your JDK or JRE for version 1.4, do so here:
REM - 	just change the directory "C:\devtools\j2sdk1.4.1_01\bin\" to the correct location and
REM -   uncomment the SET statement (remove the REM)
   REM SET PATH=C:\devtools\j2sdk1.4.1_01\bin\;%PATH%
REM **- User Modified Settings : END -**   
   
   
   
   SET temp_jdk_file=%temp%\jdk_reg.txt
   SET temp_jre_file=%temp%\jre_reg.txt
   REM SET temp_java_ver=%temp%\java_ver.txt
   SET reg_jre="HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment"
   SET reg_jdk="HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit"



:JRE_INSTALLED
   ::  Check to see if the JRE is installed on this machine
   REGEDIT /S/E  %temp_jre_file% %reg_jre%
   IF NOT EXIST %temp_jre_file% GOTO JDK_INSTALLED
   
   FIND /I /C "CurrentVersion" %temp_jre_file% > NUL
   ::  errorlevel is 0 if a match was found, 1 if no match was found
   IF NOT errorlevel 1 GOTO CHECK_JRE_VER
   GOTO QUERY_FAIL



:JDK_INSTALLED
   ::  Check to see if the JDK is installed on this machine
   REGEDIT /S/E  %temp_jdk_file% %reg_jdk%
   IF NOT EXIST %temp_jdk_file% GOTO QUERY_FAIL

   
   FIND /I /C "CurrentVersion" %temp_jdk_file% > NUL
   ::  errorlevel is 0 if a match was found, 1 if no match was found
   IF NOT errorlevel 1 GOTO CHECK_JDK_VER
   GOTO QUERY_FAIL


:CHECK_JRE_VER
   :: check to see if the correct version is found
   FIND /I /C "1.4" %temp_jre_file% > NUL
   ::  errorlevel is 0 if a match was found, 1 if no match was found
   IF NOT errorlevel 1 GOTO JRE_VER_FOUND
   ECHO.
   ECHO Could not find JRE 1.4 on your system.
   ECHO.
   GOTO QUERY_FAIL


:CHECK_JDK_VER
   :: check to see if the correct version is found
   FIND /I /C "1.4" %temp_jdk_file% > NUL
   ::  errorlevel is 0 if a match was found, 1 if no match was found
   IF NOT errorlevel 1 GOTO JDK_VER_FOUND
   ECHO.
   ECHO Could not find JDK 1.4 on your system.
   ECHO.
   GOTO QUERY_FAIL


:JRE_VER_FOUND
   ECHO.
   ECHO Your system contains JRE 1.4.  
   ECHO If the application does not run or has errors, you will need to modify
   ECHO the PATH variable of the run.bat file to point to this version.
   ECHO.
   GOTO STARTUP
   
   
:JDK_VER_FOUND
      ECHO.
      ECHO Your system contains JRE 1.4.  
      ECHO If the application does not run or has errors, you will need to modify
      ECHO the PATH variable of the run.bat file to point to this version.
      ECHO.
   GOTO STARTUP
   
   
:: THIS doesn't work! java -version does not dump to standard out
:CHECK_IN_PATH   
   java -version | FIND /I "1.4" 
   IF NOT errorlevel 1 GOTO STARTUP

   GOTO QUERY_FAIL

:: --------- QUERY_FAIL
:: ---------
:QUERY_FAIL
   ECHO.
   ECHO The correct Java version has NOT been installed on this system.
   ECHO ---------------------------------------------------
   ECHO Download the Java Development Kit or Java Runtime from
   ECHO    http://java.sun.com/products/jdk/1.4/index.html
   ECHO ---------------------------------------------------
   ECHO.
   ECHO If it were installed and the path was correct, 
   ECHO "java -version" would say you have 1.4 installed:
   java -version

   GOTO BIG_ERROR


:: ------------ STARTUP  appplication
:: ------------
:STARTUP
   
   echo.
   echo You are running Java version:
   java -version
   echo. 
   echo. 
   echo Starting SecureDataManager...
   echo SDM only works with Java version 1.4.1+
   echo.
   echo Please add comments/suggestions/questions to the web site:  
   echo    sdm.sourceforge.net  
   echo    www.securedatamanager.org
   echo    www.passwordmanager.org
   echo.

   IF NOT "%SYSTEMPROPERTY%" == "" echo Systemproperties=%SYSTEMPROPERTY%
   java %SYSTEMPROPERTY% -jar .\sdm.jar %1
   
   GOTO CLEAN_EXIT

:: ------------ BIG_ERROR
:: ------------
:BIG_ERROR
   ::Skip the CLS
   GOTO END

:: ------------ CLEAN_EXIT
:: ------------
:CLEAN_EXIT
   ::  Cleaning off the screen so the window will close automatically on

   REM CLS

:END


IF EXIST %temp_jdk_file% DEL %temp_jdk_file%
IF EXIST %temp_jre_file% DEL %temp_jre_file%
REM IF EXIST %temp_java_ver% DEL %temp_java_ver%
pause

   EXIT
